org.eclipse.incquery.runtime.localsearch.exceptions

## Class LocalSearchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.incquery.runtime.exception.IncQueryException
      - - org.eclipse.incquery.runtime.localsearch.exceptions.LocalSearchException

- All Implemented Interfaces:
    java.io.Serializable

      public class LocalSearchException
      extends IncQueryException

  Author:
    Zoltan Ujhelyi, Akos Horvath
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLAN_EXECUTION_ERROR`
    `static java.lang.String` | `TYPE_ERROR`

    - ### Fields inherited from class org.eclipse.incquery.runtime.exception.IncQueryException

      `CONVERSION_FAILED, CONVERT_NULL_PARAMETER, GETNAME_FAILED, INVALID_EMFROOT, INVALID_EMFROOT_SHORT, PARAM_NOT_SUITABLE_WITH_NO, PROCESSING_PROBLEM, QUERY_INIT_PROBLEM, RELATIONAL_PARAM_UNSUITABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchException(java.lang.String description)`
    `LocalSearchException(java.lang.String description, java.lang.Throwable rootException)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.runtime.exception.IncQueryException

      `getShortMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLAN_EXECUTION_ERROR

          public static final java.lang.String PLAN_EXECUTION_ERROR

      See Also:
        Constant Field Values

    - #### TYPE_ERROR

          public static final java.lang.String TYPE_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSearchException

          public LocalSearchException(java.lang.String description,
                                      java.lang.Throwable rootException)

    - #### LocalSearchException

          public LocalSearchException(java.lang.String description)